﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTree;

namespace UltraTreeGridSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			ultraTree1.ViewStyle = Infragistics.Win.UltraWinTree.ViewStyle.OutlookExpress;
			ultraTree1.ColumnSettings.AllowCellEdit = AllowCellEdit.Full;
			ultraTree1.Override.CellClickAction = Infragistics.Win.UltraWinTree.CellClickAction.EditCell;
			ultraTree1.ColumnSettings.TabNavigation = Infragistics.Win.UltraWinTree.TabNavigation.NextCell;
			ultraTree1.ColumnSettings.BorderStyleCell = UIElementBorderStyle.Solid;
			ultraTree1.Override.SelectionType = Infragistics.Win.UltraWinTree.SelectType.SingleAutoDrag;


			UltraTreeColumnSet commonColumnSet = new UltraTreeColumnSet();

			commonColumnSet.AllowColMoving = Infragistics.Win.Layout.GridBagLayoutAllowMoving.None;

			UltraTreeNodeColumn col = new UltraTreeNodeColumn();
			col.Key = "News Groups";
			col.AllowCellEdit = AllowCellEdit.ReadOnly;
			col.AllowMoving = Infragistics.Win.Layout.GridBagLayoutAllowMoving.None;
			col.AllowSorting = DefaultableBoolean.False;
			col.Text = " ";
			col.HeaderAppearance.BackColor = Color.Red;
			col.LayoutInfo.AllowLabelSizing = LayoutSizing.None;

			commonColumnSet.Columns.Add(col);
			commonColumnSet.Columns.Add("Number_of_Responses");
			commonColumnSet.Columns.Add("Edit");

			col = new UltraTreeNodeColumn();
			col.Key = "Check1";
			col.Text = "";
			col.DataType = typeof(bool);
			col.Nullable = Infragistics.Win.UltraWinTree.Nullable.Disallow;
			commonColumnSet.Columns.Add(col);
			col = new UltraTreeNodeColumn();
			col.Key = "Check2";
			col.Text = "";
			col.DataType = typeof(bool);
			col.Nullable = Infragistics.Win.UltraWinTree.Nullable.Disallow;
			commonColumnSet.Columns.Add(col);

			this.ultraTree1.ColumnSettings.RootColumnSet = commonColumnSet;

			UltraTreeNode parentNode1 = this.ultraTree1.Nodes.Add("10", "Windows Forms NewsGroups");
			commonColumnSet.Columns["News Groups"].CanShowExpansionIndicator = Infragistics.Win.DefaultableBoolean.True;
			parentNode1.Cells["News Groups"].Value = "Windows Forms NewsGroups";
			parentNode1.Cells["Number_of_Responses"].Value = "4978";
			parentNode1.Cells["Check1"].Value = false;
			parentNode1.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in parentNode1.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;
			UltraTreeNode winChildNode = parentNode1.Nodes.Add("10~1", "winforms.grid");
			winChildNode.Override.ColumnSet = commonColumnSet;
			winChildNode.Cells["News Groups"].Value = "netadvantage_for_Windows_forms.grids";
			winChildNode.Cells["Number_of_Responses"].Value = "987";
			winChildNode.Cells["Check1"].Value = false;
			winChildNode.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in winChildNode.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;
			winChildNode = parentNode1.Nodes.Add("10~2", "winforms.doc");
			winChildNode.Cells["News Groups"].Value = "netadvantage_for_Windows_forms.documentation";
			winChildNode.Cells["Number_of_Responses"].Value = "3991";
			winChildNode.Cells["Check1"].Value = false;
			winChildNode.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in winChildNode.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;

			UltraTreeNode parentNode2 = this.ultraTree1.Nodes.Add("20", "Web NewsGroups");
			parentNode2.Cells["News Groups"].Value = "Web NewsGroups";
			parentNode2.Cells["Number_of_Responses"].Value = "2764";
			parentNode2.Cells["Check1"].Value = false;
			parentNode2.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in parentNode2.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;
			UltraTreeNode webChildNode = parentNode2.Nodes.Add("20~1", "webFroms.Grid");
			webChildNode.Override.ColumnSet = commonColumnSet;
			webChildNode.Cells["News Groups"].Value = "netadvantage_for_Web_forms.grids";
			webChildNode.Cells["Number_of_Responses"].Value = "958";
			webChildNode.Cells["Check1"].Value = false;
			webChildNode.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in webChildNode.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;
			webChildNode = parentNode2.Nodes.Add("20~2", "webFroms.documentation");
			webChildNode.Cells["News Groups"].Value = "netadvantage_for_Web_forms.documentation";
			webChildNode.Cells["Number_of_Responses"].Value = "1806";
			webChildNode.Cells["Check1"].Value = false;
			webChildNode.Cells["Check2"].Value = false;
			foreach (UltraTreeNodeCell cell in webChildNode.Cells)
				cell.Appearance.BorderColor = SystemColors.ControlLight;

			commonColumnSet.ColumnAutoSizeMode = Infragistics.Win.UltraWinTree.ColumnAutoSizeMode.VisibleNodes;
			ultraTree1.ExpandAll();
			commonColumnSet.Columns["News Groups"].PerformAutoResize(Infragistics.Win.UltraWinTree.ColumnAutoSizeMode.VisibleNodes);
		}

		private void ultraTree1_AfterCellExitEditMode(object sender, AfterCellExitEditModeEventArgs e)
		{
			ultraTree1.Update();
		}
	}
}
